INVOKE-RC.D(8)

NUME
invoke-rc.d - execută acțiuni de script de inițializare în stil System-V

SINOPSIS

invoke-rc.d [--quiet] [--force] [--try-anyway] [--disclose-deny] [--query] [--no-fallback] nume acțiune [parametrii_script-inițializare...]

invoke-rc.d [--help]

DESCRIERE

invoke-rc.d este o interfață generică pentru a executa acțiuni ale scriptului de inițializare /etc/init.d/nume în stilul System V, respectând constrângerile nivelului de execuție, precum și orice politici locale stabilite de administratorul de sistem.

Toate accesările scripturilor de inițializare de către scripturile de menținere a pachetelor Debian trebuie să se facă prin invoke-rc.d.

Această pagină de manual documentează doar utilizarea și comportamentul invoke-rc.d. Pentru o discuție despre aranjamentele scriptului de inițializare în stil System V, consultați init(8). Mai multe informații despre «invoke-rc.d» pot fi găsite în secțiunea despre nivelurile de execuție și scripturile „init.d” din Manualul de politici Debian.

ACȚIUNI ALE SCRIPTULUI DE INIȚIALIZARE

Acțiunile standard sunt: start, stop, force-stop, restart, try-restart, reload, force-reload și status. Sunt acceptate și alte acțiuni, dar acestea pot cauza probleme la policy-rc.d (a se vedea secțiunea POLITICA SCRIPTULUI DE INIȚIALIZARE), astfel încât sunt generate avertismente dacă stratul de politici este activ.

Vă rugăm să rețineți că nu toate scripturile de inițializare vor pune în aplicare toate acțiunile enumerate mai sus și că stratul de politici poate înlocui o acțiune cu o altă acțiune (alte acțiuni) sau chiar o poate refuza.

Orice parametru suplimentar va fi transmis scriptului (scripturilor) de inițializare care se execută.

Dacă o acțiune trebuie să fie efectuată indiferent de politicile locale, utilizați opțiunea --force.

OPȚIUNI

    --help
        Afișează ajutorul de utilizare.

    --quiet
        Modul silențios, nu sunt generate mesaje de eroare.

    --force
        Încearcă să ruleze scriptul de inițializare indiferent de erorile de politică și de subsistemul scriptului de inițializare. Utilizarea acestei opțiuni în scripturile pentru întreținerea pachetelor Debian, este sever descurajată.

    --try-anyway
        Încearcă să ruleze scriptul de inițializare în cazul în care este detectată o eroare nefatală.

    --disclose-deny
        Returnează codul de stare 101 în loc de codul de stare 0 în cazul în care acțiunea scriptului de inițializare este refuzată de stratul de politici.

    --query
        Returnează unul dintre codurile de stare 100-106. Nu execută scriptul de inițializare și implică --disclose-deny și --no-fallback.

    --no-fallback
        Ignoră orice solicitare de acțiune de rezervă din partea nivelului de politică. Atenție: aceasta este de obicei o idee foarte proastă pentru orice altă acțiune în afară de «start».

    --skip-systemd-native
        Iese înainte de a face ceva dacă este detectat un mediu systemd și dacă serviciul solicitat este o unitate nativă systemd. Acest lucru este util pentru scripturile de întreținere care doresc să amâne acțiunile systemd la deb-systemd-invoke(1p)

CODURI DE STARE

În cazul în care se execută un script de inițializare, invoke-rc.d returnează întotdeauna codul de stare returnat de scriptul de inițializare. Scripturile de inițializare nu ar trebui să returneze coduri de stare în intervalul 100+ (care este rezervat în Debian și de către LSB). Codurile de stare returnate de «invoke-rc.d» propriu-zis sunt:

    0   Succes. Fie scriptul de inițializare a fost rulat și a returnat starea de ieșire 0 (rețineți că este posibil să fi fost rulată o acțiune de rezervă în locul celei indicate în linia de comandă), fie nu a fost rulat din cauza constrângerilor de nivel de execuție/politici locale, iar --disclose-deny nu este în vigoare.

    1 - 99
        Rezervat pentru scriptul init.d, indică de obicei un eșec.

    100 ID-ul scriptului de inițializare (nume) este necunoscut. Aceasta înseamnă că scriptul de inițializare nu a fost înregistrat cu succes prin update-rc.d sau că scriptul de inițializare nu există.

    101 Acțiune nepermisă. Acțiunea solicitată nu va fi efectuată din cauza constrângerilor de nivel de execuție sau a politicii locale.

    102 Eroare de subsistem. Defecțiune a subsistemului scriptului de inițializare (sau a stratului de politici). De asemenea, execuția forțată a scriptului de inițializare din cauza --try-anyway sau --force a eșuat.

    103 Eroare de sintaxă.

    104 Acțiune permisă. Scriptul de inițializare ar fi rulat, dar --query este în vigoare.

    105 Incertitudine comportamentală. Nu se poate stabili dacă acțiunea trebuie sau nu efectuată, iar --query este în vigoare.

    106 Acțiune de rezervă solicitată. Stratul de politici a refuzat acțiunea solicitată și a furnizat o acțiune de rezervă permisă care să fie utilizată în locul acesteia.

POLITICA SCRIPTULUI DE INIȚIALIZARE

invoke-rc.d introduce conceptul de strat de politici care este utilizat pentru a verifica dacă un script de inițializare trebuie să fie rulat sau nu, sau dacă ar trebui să se facă altceva în locul lui. Acest strat are diverse utilizări, cele mai imediate fiind evitarea faptului că actualizările de pachete pornesc demoni în afara nivelului de execuție și că un pachet pornește sau oprește demoni în timp ce se află într-o celulă chroot.

Stratul de politici are următoarele abilități: să refuze sau să aprobe executarea unei acțiuni; să solicite ca o altă acțiune (numită fallback) să fie efectuată în locul acțiunii solicitate în linia de comandă a lui «invoke-rc.d»; sau să solicite ca mai multe acțiuni să fie încercate în ordine, până când una dintre ele reușește (un fallback multiplu).

invoke-rc.d însuși acordă atenție doar nivelului de execuție curent; va bloca orice încercare de a porni un serviciu într-un nivel de execuție în care serviciul este dezactivat. Alte politici sunt implementate cu ajutorul programului auxiliar policy-rc.d și sunt disponibile numai dacă /usr/sbin/policy-rc.d este instalat în sistem.

FIȘIERE

    /etc/init.d/*
        Scripturi de inițializare System V.

    /usr/sbin/policy-rc.d
        Ajutor pentru stratul de politică de script de inițializare (nu este necesar).

    /etc/rc?.d/*
        Configurație la nivel de execuție System V.

NOTE

invoke-rc.d este un caz special pentru acțiunea status și returnează starea de ieșire 4 în loc de starea de ieșire 0 atunci când este refuzată.

ERORI

A se vedea <http://bugs.debian.org/sysv-rc> și
 <http://bugs.debian.org/init-system-helpers>.

CONSULTAȚI ȘI
Manualul de politici Debian,
/etc/init.d/skeleton,
update-rc.d(8),
init(8),
/usr/share/doc/init-system-helpers/README.policy-rc.d.gz

AUTOR
Henrique de Moraes Holschuh

Licență: Licența publică generală GNU v2 sau ulterioară (GPLv2+)

DREPTURI DE AUTOR
2001 Henrique de Moraes Holschuh

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.